- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

# IpePdfToken Struct Reference

A PDF lexical token. More...

List of all members.

## Public Types

- enum TToken {
  EErr, EOp, EName, ENumber,
  EString, ETrue, EFalse, ENull,
  EArrayBg, EArrayEnd, EDictBg, EDictEnd
  }

## Public Attributes

- TToken iType
- IpeString iString

## Detailed Description

A PDF lexical token.

## Member Enumeration Documentation

enum IpePdfToken::TToken

The various types of tokens.

## Member Data Documentation

TToken IpePdfToken::iType

The type of this token.

IpeString IpePdfToken::iString

The string representing this token.

The documentation for this struct was generated from the following file:

- ipepdfparser.h